# TIKI Privacy Notice

#### Effective Date: May 11, 2021

Thank you for your interest in TIKI. As a privacy-friendly company, we are glad you’re reading our privacy notice. We
believe strongly in the principles of privacy and transparency, which should be evident if you’ve gotten this far. We
publish our codebase, we publish the statistics our website collects, and because our approach is quite different from
others, we have created this Privacy Notice to explain how it is that we collect so little personal data and, for the
little we do collect, how we use that data.

If you have questions after reading this notice, please contact us at privacy@mytiki.com. And, for a deep dive into how
TIKI handles data, creates anonymous aggregate cohorts, and gets you paid when your summarized data is used,
see [How It Works](https://medium.com/mytiki/tiki-proposed-architecture-25d746933dd6?source=friends_link&sk=16d9465a4a151a10558d6e934d29ca02)
.

### Privacy and Your Information

TIKI respects and values both the information you share with us and your privacy. We will not sell your personal data.
For those unfamiliar with the term personal data, here is the European
legal [definition](https://gdpr.eu/eu-gdpr-personal-data/), which is commonly adopted by other jurisdictions. In
layman's terms, it's any data that can be used to identify you either directly or indirectly.

### Scope of the Notice

This Privacy Notice covers all information we receive when you use our mobile app (App) and when you access our website
mytiki.com (Site). This Notice also covers any personal data you send us via email. Any other communications tools used,
such as Discord, LinkedIn, or Twitter, are governed by the privacy statement of the respective service provider. This
policy does not cover any other information received by TIKI.

### How We Collect and Use Information

TIKI has two main platforms, so to speak: we have the App, which individual consumers use, and we have browser-based
tools that an organization seeking to purchase insight or sentiment data would access. Because these operate
differently, we’ve separate the explanations here.

**Via the App**

We collect no, repeat, no identifiable data about our individual users through the App.

When you open the App for the first time, you are prompted for your email address, which will be your ‘user name’ when
using the App in the future. Your email address never leaves the App and your device; it is not provided to us at TIKI.
Upon creating your account, the App will present you with a private encryption ‘key’, which you must have to access the
crypto wallet we create on your behalf. We never receive that information. You access your wallet via the App. Each time
you open the App, you will receive a one-time password, so there is no need to remember your password.

As we explain in detail in [How It Works](https://mytiki.com/blog/proposed-architecture), the App captures purchase
details and such from those third party accounts you choose to link. The App creates the abstracts or summaries of your
personal data (social media ‘likes’ and purchase receipts) and matches those summaries with cohorts of similar
information. When this abstracted information is uploaded to a cohort, yours is one of many, many records and as such
highly unlikely to be identifiable to you. The App includes with each upload from your device an identifier associated
with your crypto wallet so that we know which account to pay when an organization accesses a cohort.

Again, from the App, TIKI receives no personal data.

**Via the Site**

Besides organizations seeking to access data graphs consisting of insights or sentiment details, our Site is typically
used by those who have created a basic profile so they can offer feedback on improvements and such.

The Site collects three types of data, the Contact Information you may provide, Anonymous Site Statistics, and Anonymous
Infrastructure Metrics. When we say anonymous, we mean data that cannot be traced back to you—no personal data, no
identifying characteristics of any kind.

* **Contact Information:** If you choose to provide your personal data (email address, phone number, or otherwise), it
  may only be used to deliver important TIKI updates such as feature previews, early beta invites, or other notable
  programs.
* **Anonymous Site Statistics:** We collect the following [anonymous data](https://plausible.io/mytiki.com) to improve
  business operations, content, and performance of the Site.
* **Anonymous Infrastructure Metrics:** We collect various anonymous data on the infrastructure powering the Site for
  security, maintenance, and improvements. Examples might be errors, load times, or cache
  hits—official [infrastructure configuration](https://github.com/tiki/website).

Unlike most sites, we do not use cookies or any other variety of ‘tracker’. Hence, no annoying popups and, more
importantly, no creepy tracking of you.

### Controlling Your Data

TIKI’s very mission is to help you control your data. To the extent that any personal data is captured within the App,
it stays within the App on your device. You control the third party accounts that you connect or disconnect to the App
and thus the data summaries that are included in any cohort. Because of our belief in transparency, you can see what
these summaries are.

On the Site, the only personal data is Contact Information. You have the right to access, update, or delete any of your
personal data that we hold (Contact Information). If you would like to perform any of these actions or if you would like
your data to be suppressed from future communications, you may do so via the Site or by contacting us
at [privacy@mytiki.com](mailto:privacy@mytiki.com) for assistance.

### Securing your Information

To ensure that all the information we process is secure, we have put in place commercially suitable administrative,
physical, and technical to safeguard the information we collect on our
Site—specific [implementation](https://github.com/tiki) details and upload to any data graph.

Nonetheless, the transmission of information via the Internet is not completely secure and therefore we cannot guarantee
the security of data sent to us electronically on our Site, and transmission of such data is therefore entirely at your
own risk.

### Third Parties

Our entire business model is dedicated to not sharing personal data with any third parties. Organizations purchasing
reports or access to data graphs see only the cohorts and even within each cohort individual data elements have been
abstracted to limit the ability of anyone to link data to a person.

We may engage service providers to help us run TIKI as we grow, and they would be under strict confidentiality
obligations and restrictions on processing any data. And even then, recall that the only identifiable data we hold is
your Contact Information and someone who uses the App but has not registered on the Site would never have provided TIKI
these details.

It is always possible, we suppose, that we may get a request from law enforcement for access to our system or that TIKI
as a business is sold to another company, but those are limited scenarios in which we might have to disclose the little
information we hold.

**Google**  
If you choose to link your Google account within the App, the use and transfer to any other app of information received
from Google APIs will adhere
to [Google API Services User Data Policy](https://developers.google.com/terms/api-services-user-data-policy#additional_requirements_for_specific_api_scopes)
, including the Limited Use requirements.

If you have any questions, concerns, or complaints about our Site, please let us know as soon as possible
at [privacy@mytiki.com](mailto:privacy@mytiki.com). Please return to review this Notice occasionally, as we may change
it from time to time.
