# TIKI Mobile App Terms and Conditions

#### Last Updated: May 11, 2021

### 1. Welcome to TIKI

* We’re delighted that you downloaded our TIKI app (“App”). Before you start using our App, you must accept these terms
  and conditions. Please read these terms and conditions carefully, together with any other terms we make available from
  time to time, as they govern your use of the App. These terms and conditions tell you who we are, how you and we may
  change or end the contract between us, and other important information. By accepting them and using the App you’re
  agreeing to be bound by these terms and conditions. If you do not understand or do not wish to be bound by these terms
  and conditions, you should not register for a TIKI account and you should delete the App from your device. You should
  also read our privacy notice – see section 6.


* We recommend that you save and/or print a copy of these terms and conditions for future reference, particularly as we
  may update them.


* We are “TIKI”. When we talk about “you” in this document, we’re talking about you as an individual using the App for
  private and non-commercial purposes only, except as may be expressly allowed by the functionality of our App or
  allowed by us in writing. When we talk about a “third party” we mean anyone who is not you or us.


* If you want to use TIKI as an organization or business (“organization”) or on behalf of an organization, these terms
  are not for you. Rather, you will need to accept and comply with the organizational terms and conditions presented to
  you when creating an organizational account or when accepting an organizational profile.

### 2. What TIKI does

* TIKI helps you to take more control over the data on your mobile device and potentially get paid when you wish to
  share certain abstracted information about your activity on your device, whether these are purchases or “likes” for
  example. You control what insight (purchase) and sentiment (likes, etc.) summaries you contribute to the anonymized,
  aggregate cohorts TIKI creates. Likewise, you alone will decide when you want to use TIKI to identify yourself to a
  third party.


* TIKI won’t charge you, the individual, for sharing your information summary. If you decide to share an abstract of
  your purchase or sentiment information with organizations through TIKI, we reserve the right to charge them for
  receiving that information. It is important to remember though the your actual data never leaves the App: only an
  abstract or a summary of, say, your purchases is made available and even then only as a part of a group (“cohort”
  being the technical term) so that your individual details are largely indistinguishable.


* TIKI may from time to time create, develop and introduce additional features, functionality or services to the App
  and, if necessary, we will update these terms and conditions accordingly as required.

### 3. Before you start

* Provided you accept and continue to comply with these terms and conditions, TIKI grants you a non-exclusive,
  non-transferable license to use our App that can be revoked at any time.


* TIKI is not currently intended for people under the age of 13. To use the App, you must be (and you promise to us that
  you are) over the required age in your territory to give consent by yourself for processing of your information (this
  age varies from territory to territory, but in the UK and the US is 13). If your territory does not have a minimum age
  we set it at 13 (and this is the case for India). If we believe or verify that you have not told us your true age (or
  have not received parental consent if required by your local law), we may suspend your use of the App until you have
  provided us with acceptable proof of age (or parental consent). We advise parents and guardians who allow their
  children to use the App that it is important to communicate with their children about their safety online.


* Each person can only create one TIKI account.

### 4. Creating your account in TIKI

* Having downloaded our App, to create your TIKI account you will need to enter into the App a genuine and valid email
  address. Your email address will be your login ID and we will use it to send you one-time password links, so that you
  needn’t worry about remembering or losing your password. We may change our security requirements from time to time.


* While you’re setting up your account, adding information to it or recovering access to your account, TIKI will be able
  to see the information you enter so that we can verify it. We will keep this information securely for up to 7 days
  following approval of your account.


* Only you will have the encryption keys (unpredictable and unique numbers used to decrypt information), stored in your
  mobile phone or other devices, so only you can access your account. It is your responsibility to keep your mobile
  phone and other devices safe, and to prevent others from having unauthorized access to them.


* It is really important that you save and protect these encryption keys, as they are how the crypto currency wallet
  that we establish for you. This wallet receives your share of an organization’s payment when they access or obtain a
  report concerning a cohort (group) containing an information summary you’ve shared.


* All account creation instructions given in our App during the account creation process (and any amendments or updates
  to those processes) also form part of these terms and conditions.

### 4. Linking third party accounts to TIKI and sharing

* As our Product Roadmap advances, you alone will decide which of your accounts you wish to link to TIKI. That linking
  process should be familiar, as it will typically redirect you to the login page for that service and will return you
  to the App after you’ve entered your credentials. That will enable the App to identify the activities you have
  selected (typically product purchases or social media actions), create a summary, and share the summary as you direct.
  The nitty gritty of how all this works is described [here].


* Whenever you instruct the App to share an information summary as part of a cohort, you will be paid a pro rata portion
  of that, depending on how much the organization paid and how many summaries are in the particular cohort. Payment goes
  into your crypto wallet. TIKI knows to send payment to your wallet because each wallet has a hexadecimal identifier
  and that wallet ID is uploaded along with the information summary. Even though the wallet ID is uploaded with your
  summary, TIKI does not expose to any organization that wallet ID. Furthermore, we take steps to ensure that the
  identifier relates to the crypto wallet and not you or your TIKI App.

### 5. Closing/deleting your TIKI account

* You’re free to close your TIKI account at any time by selecting the “Delete Account” option in “Settings” in the App’s
  menu. We will ask you to confirm that you have saved separately your encryption keys, because these will enable you to
  access your crypto wallet after you have deleted the App.


* We reserve the right to immediately suspend your account and access to our App and to terminate these terms and
  conditions, and therefore your right to use the Products, without responsibility or liability to you if, in our sole
  opinion, you are not complying with these terms and conditions, or if you disrupt the App or if your continued use of
  the App is harmful.


* We reserve the right to terminate some or all of our services, and therefore your right to use the App, at any time at
  our discretion and without responsibility to you on providing you with at least 30 days’ prior notice through the App.


* If you or we close your account, you will lose access to your TIKI account and to all of the information and services
  associated with it. We may need to keep transaction details linked to your crypto wallet for regulatory reasons.


* Whether your TIKI account is closed by you or by us, you should delete the App from your device promptly following
  closure of your account.

### 6. We care about your privacy and security

* We’re in the business of making sure that you can share your personal details safely and securely. So, any personal
  information that you provide to us will be processed strictly in line with our privacy notice, which is available
  at [https://www.mytiki.com/privacy](https://www.mytiki.com/privacy) as well as in the App itself.


* From time to time we might need to involve other third parties in delivering the services that the App provide you. We
  reserve the right to transfer, assign, subcontract or deal in any other manner with our rights and obligations under
  these terms and conditions without your prior written approval.

### 7. Intellectual property

* We are very proud of the App, and, because of our belief in transparency we have made publicly available the source
  code for the App. So, contrary to most companies, we are not claiming that code as proprietary.


* However, the TIKI logo and any other TIKI product or service names, logos or slogans that may appear on the website or
  in the App are trademarks of TIKI. These may not be copied, imitated or used, in whole or in part, without the prior
  written permission of TIKI or the applicable trademark holder. You may not use any metatags or other “hidden text”
  utilizing “TIKI” or any other name, trademark or product or service name of TIKI without our prior written permission.
  In addition, the look and feel of the App is the service mark, trademark and/or trade dress of TIKI and may not be
  copied, imitated or used, in whole or in part, without our prior written permission. All other trademarks, registered
  trademarks, product names and company names or logos mentioned are the property of their respective owners. Reference
  to any products, services, processes or other information, by name, trademark, manufacturer, supplier, or otherwise
  does not constitute or imply endorsement, sponsorship or recommendation by TIKI.

### 8. Availability of TIKI

* We aim to ensure that you are able to access and use the App at all times. However, your use of the App may from time
  to time be interrupted by maintenance, repairs or updates or other factors which we may not be able to control and we
  cannot guarantee to you that they will always be available. We will do our best to notify you of such situations as
  soon as possible after we become aware of them, but we will not be liable under any circumstances for any loss or
  damage caused as a result of such interruption of availability of the App, other than as set out below at section 10 (
  Our responsibility to you).

### 9. Mobile app store legalese

* The following additional terms and conditions apply with respect to any Mobile Application that TIKI provides to you
  designed for use on an Apple iOS-powered mobile device (an “iOS App”):
    * You acknowledge that these Terms are between you and TIKI only, and not with Apple, Inc. (“Apple”).
    * Your use of TIKI’s iOS App must comply with Apple’s then-current App Store Terms of Service.
    * TIKI, and not Apple, is solely responsible for our iOS App and the Services and content available thereon. You
      acknowledge that Apple has no obligation to provide maintenance and support services with respect to our iOS App.
      To the maximum extent permitted by applicable law, Apple will have no warranty obligation whatsoever with respect
      to our iOS App.
    * You agree that TIKI, and not Apple, is responsible for addressing any claims by you or any third-party relating to
      our iOS App or your possession and/or use of our iOS App, including, but not limited to: (i) product liability
      claims; (ii) any claim that the iOS App fails to conform to any applicable legal or regulatory requirement; and (
      iii) claims arising under consumer protection or similar legislation, and all such claims are governed solely by
      these Terms and any law applicable to us as provider of the iOS App.
    * You agree that TIKI, and not Apple, shall be responsible, to the extent required by this EULA, for the
      investigation, defense, settlement and discharge of any third-party intellectual property infringement claim
      related to our iOS App or your possession and use of our iOS App.
    * You represent and warrant that (i) you are not located in a country that is subject to a U.S. Government embargo
      or that has been designated by the U.S. Government as a “terrorist supporting” country; and (ii) You are not
      listed on any U.S. Government list of prohibited or restricted parties.
    * You agree to comply with all applicable third-party terms of agreement when using our iOS App (e.g., you must not
      be in violation of your wireless data service terms of agreement when using the iOS App).
    * The parties agree that Apple and Apple’s subsidiaries are third-party beneficiaries to these terms as they relate
      to your license of TIKI’s iOS App. Upon your acceptance of these terms, Apple will have the right (and will be
      deemed to have accepted the right) to enforce these terms against you as they relate to your license of the iOS
      App as a third-party beneficiary thereof.


* The following additional terms and conditions apply with respect to any Mobile Application that TIKI provides to you
  designed for use on an Android-powered mobile device (an “Android App”):
    * You acknowledge that these terms are between you and TIKI only, and not with Google, Inc. (“Google”).
    * Your use of TIKI’s Android App must comply with Google’s then-current Android Market Terms of Service.
    * Google is only a provider of the Android Market where you obtained the Android App. TIKI, and not Google, is
      solely responsible for TIKI’s Android App and the Services and content available thereon. Google has no obligation
      or liability to you with respect to TIKI’s Android App or these terms.
    * You acknowledge and agree that Google is a third-party beneficiary to the terms as they relate to TIKI’s Android
      App.

### 10. Some additional house rules

* You are at all times responsible for making informed decisions about sharing your information summaries with third
  parties and for considering the implications of doing so. TIKI has no control over what third parties do with the
  information summaries you choose to share with them through the App and therefore accepts no responsibility or
  liability for information misuse on their part.


* If you choose to use TIKI to link your account with a third party in order to connect or interact with services they
  provide (such as buying or selling online), you should also review their terms of use, privacy policy or any other
  terms governing your use of such third party sites, services or resources, and make sure you comply with them. TIKI
  has no control over the contents or performance of any third party sites, services or resources, and accepts no
  responsibility for them, for any loss or damage that may arise from your use of them, or for any refusal by such third
  parties to provide you with products or services.


* You are responsible for making sure that all your information associated with your TIKI account is accurate and up to
  date.


* We trust you to use the App sensibly and lawfully, but please be aware that you must:
    * not use or interact with the App if you intend to commit any unlawful, fraudulent, dishonest, anti-social,
      unethical, abusive, threatening or invasive behavior;
    * use the App only for your private use and non-commercial purposes (except as may be expressly allowed by the
      functionality of the App or otherwise allowed by us in writing);
    * not damage, interfere with or disrupt the integrity or performance of the App in any way;
    * not offer in any manner, sublicense, lease, sell or otherwise make available the App or any of their services to
      any third party without our prior written consent;
    * not use or interact with the App in any unlawful, fraudulent or dishonest way or for any improper purpose. If we
      know of or suspect activity by you that contravenes this section, we reserve the right to suspend your TIKI
      account, to report you to the relevant authority or agency, or to take such other action as we in our discretion
      believe is necessary for the protection of our users and/or our business or reputation, and we will keep a copy of
      your data for further anti-fraud procedures or as may be required by law. If false or inaccurate information is
      provided and fraud is identified, details may be passed to fraud prevention agencies to prevent fraud, money
      laundering and other criminal offences.

### 11. Our responsibility (liability) to you

* WE WILL NOT BE LIABLE TO YOU FOR ANY DIRECT, INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL, CONSEQUENTIAL OR EXEMPLARY
  DAMAGES ARISING OUT OF OR IN CONNECTION WITH THE APP OR THE SERVICE, EVEN IF WE HAVE PREVIOUSLY BEEN ADVISED OF OR
  REASONABLY COULD HAVE FORESEEN THE POSSIBILITY OF SUCH DAMAGES, HOWEVER THEY ARISE, WHETHER IN BREACH OF CONTRACT OR
  IN TORT (INCLUDING NEGLIGENCE).


* YOUR USE OF THE APP AND TIKI IS AT YOUR SOLE RISK. THE APP AND TIKI ARE PROVIDED ON AN “AS IS” BASIS. WE DISCLAIM ALL
  EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS, AND WARRANTIES OF ANY KIND, INCLUDING ANY IMPLIED WARRANTY OR
  CONDITION OF MERCHANTABILITY, QUALITY, AVAILABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. WE MAKE NO
  REPRESENTATIONS, WARRANTIES, OR GUARANTEES AS TO THE USEFULNESS, QUALITY, SUITABILITY, ACCURACY, AVAILABILITY, OR
  COMPLETENESS OF THE APP OR TIKI.


* Nothing in these terms and conditions excludes or limits our liability either: (a) for your death or personal injury
  if it’s caused by our negligence; or (b) our fraud or fraudulent misrepresentation (this means if we deliberately and
  knowingly make a false statement or representation with the intent to deceive or without belief in its truth or
  recklessly as to its truth). We will also take responsibility where we are required to by applicable law.


* If you breach these terms and conditions, we are not liable to you for any loss or damage you may suffer because of
  your breach.


* From time to time we might need to update the App, for example, to improve the services we offer to you or for
  security reasons. We reserve the right to update, modify or terminate the App or your access to them for any reason,
  without notice, at any time, and without any legal responsibility to you. To use the most up-to-date functionality of
  the App, you must download any updates we make available. You will be responsible for any loss or damage you may
  suffer by continuing to use an outdated version of the Products. We do not guarantee that the App will work with all
  devices and operating systems and we are not responsible for maintaining the compatibility of the App with all updated
  or new operating systems and devices.

### 12. Other legal points around terms and conditions

* These terms and conditions constitute the entire agreement between you and us relating to your use of the App and
  TIKI. We reserve the right to investigate actual or potential violations of the terms and conditions and to take any
  action we deem appropriate, including, but not limited to, reporting any suspected unlawful activity to law
  enforcement officials, regulators or other third parties and disclosing any information we deem necessary or
  appropriate relating to user profiles, email addresses, usage histories, posted materials and IP addresses. We reserve
  the right to seek any and all remedies available at law and in equity for violations of the terms and conditions.


* The terms and conditions will be governed by the laws of the Commonwealth of Massachusetts without giving effect to
  its laws, rules or principles regarding choice or conflict of laws. Any express waiver or failure to exercise promptly
  any right under the terms and conditions will not create a continuing waiver or any expectation of non-enforcement. If
  any provision of the terms and conditions is held invalid by any law or regulation of any government, or by any court
  or arbitrator, such provision will be replaced with a new provision that accomplishes the original business purpose,
  and the other provisions of the terms and conditions will remain in full force and effect.

